<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: NoiseAIEvaluate Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/de4/class_noise_a_i_evaluate.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">NoiseAIEvaluate Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a9a9ea0a79b6e09d8053427ca3dea4754"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/de4/class_noise_a_i_evaluate.html#a9a9ea0a79b6e09d8053427ca3dea4754">GetNoiseMultiplier</a> (<a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a> playerImplement)</td></tr>
<tr class="separator:a9a9ea0a79b6e09d8053427ca3dea4754"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63082487bbde90bf1a97fc7f373c2b95"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/de4/class_noise_a_i_evaluate.html#a63082487bbde90bf1a97fc7f373c2b95">GetNoiseMultiplierByPlayerSpeed</a> (<a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a> playerImplement)</td></tr>
<tr class="separator:a63082487bbde90bf1a97fc7f373c2b95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99a6af42f1b9253267110f65f203fad1"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/de4/class_noise_a_i_evaluate.html#a99a6af42f1b9253267110f65f203fad1">GetNoiseMultiplierByShoes</a> (<a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a> playerImplement)</td></tr>
<tr class="separator:a99a6af42f1b9253267110f65f203fad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86e5fcad08e36ff0a5b02afad9ba5453"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/de4/class_noise_a_i_evaluate.html#a86e5fcad08e36ff0a5b02afad9ba5453">GetNoiseMultiplierBySurface</a> (<a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a> playerImplement)</td></tr>
<tr class="separator:a86e5fcad08e36ff0a5b02afad9ba5453"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:add98769113ad293477eaab78bcb5b5a4"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/de4/class_noise_a_i_evaluate.html#add98769113ad293477eaab78bcb5b5a4">SURFACE_NOISE_WEIGHT</a> = 0.25</td></tr>
<tr class="separator:add98769113ad293477eaab78bcb5b5a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html#l00001">1</a> of file <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html">SensesAIEvaluate.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a9a9ea0a79b6e09d8053427ca3dea4754" name="a9a9ea0a79b6e09d8053427ca3dea4754"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a9ea0a79b6e09d8053427ca3dea4754">&#9670;&#160;</a></span>GetNoiseMultiplier()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> NoiseAIEvaluate::GetNoiseMultiplier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a>&#160;</td>
          <td class="paramname"><em>playerImplement</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html#l00005">5</a> of file <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html">SensesAIEvaluate.c</a>.</p>

</div>
</div>
<a id="a63082487bbde90bf1a97fc7f373c2b95" name="a63082487bbde90bf1a97fc7f373c2b95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63082487bbde90bf1a97fc7f373c2b95">&#9670;&#160;</a></span>GetNoiseMultiplierByPlayerSpeed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> NoiseAIEvaluate::GetNoiseMultiplierByPlayerSpeed </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a>&#160;</td>
          <td class="paramname"><em>playerImplement</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html#l00019">19</a> of file <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html">SensesAIEvaluate.c</a>.</p>

</div>
</div>
<a id="a99a6af42f1b9253267110f65f203fad1" name="a99a6af42f1b9253267110f65f203fad1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a99a6af42f1b9253267110f65f203fad1">&#9670;&#160;</a></span>GetNoiseMultiplierByShoes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> NoiseAIEvaluate::GetNoiseMultiplierByShoes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a>&#160;</td>
          <td class="paramname"><em>playerImplement</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html#l00055">55</a> of file <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html">SensesAIEvaluate.c</a>.</p>

</div>
</div>
<a id="a86e5fcad08e36ff0a5b02afad9ba5453" name="a86e5fcad08e36ff0a5b02afad9ba5453"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86e5fcad08e36ff0a5b02afad9ba5453">&#9670;&#160;</a></span>GetNoiseMultiplierBySurface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d4/dc3/classfloat.html">float</a> NoiseAIEvaluate::GetNoiseMultiplierBySurface </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d85/class_day_z_player_implement.html">DayZPlayerImplement</a>&#160;</td>
          <td class="paramname"><em>playerImplement</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html#l00074">74</a> of file <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html">SensesAIEvaluate.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="add98769113ad293477eaab78bcb5b5a4" name="add98769113ad293477eaab78bcb5b5a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add98769113ad293477eaab78bcb5b5a4">&#9670;&#160;</a></span>SURFACE_NOISE_WEIGHT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> NoiseAIEvaluate::SURFACE_NOISE_WEIGHT = 0.25</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html#l00003">3</a> of file <a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html">SensesAIEvaluate.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Static/<a class="el" href="../../d8/dfe/_senses_a_i_evaluate_8c_source.html">SensesAIEvaluate.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/de4/class_noise_a_i_evaluate.html">NoiseAIEvaluate</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
